Subject: Re: [PATCH v4 2/3] rebase: stop accepting --rebase-merges=""

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Feb 2023 09:20:33 -0800

Johannes Schindelin <[email-masked]> writes:

> On Wed, 22 Feb 2023, Alex Henrie wrote:
>
>> The unusual syntax --rebase-merges="" (that is, --rebase-merges with an
>> empty string argument) has been an undocumented synonym of
>> --rebase-merges=no-rebase-cousins. Stop accepting that syntax to avoid
>> confusion when a rebase.merges config option is introduced, where
>> rebase.merges="" will be equivalent to not passing --rebase-merges.
>
> Being undocumented and obscure might be a good reason for some to consider
> this a bug; I do not. You could deprecate it, but there are probably
> better ideas than to remove it without prior warning.
>
> If all you want to do is to support `rebase.merges=`, you can do that
> without having to change the meaning of `--rebase-merges=`.

Thanks for a doze of sanity.  Let me mark the topic as on hold to
wait for a resolution.